Skip to main content
GET
/
v3
/
avatars
/
{group_id}
Get Avatar Group
curl --request GET \
  --url https://api.heygen.com/v3/avatars/{group_id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "created_at": 123,
    "looks_count": 123,
    "preview_image_url": "https://files.heygen.ai/avatar/anna_preview.jpg",
    "preview_video_url": "https://files.heygen.ai/avatar/anna_preview.mp4",
    "gender": "female",
    "default_voice_id": "1bd001e7e50f421d891986aad5c8bbd2",
    "consent_status": "approved",
    "status": "completed",
    "error": {
      "code": "<string>",
      "message": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

group_id
string
required

Unique avatar group identifier

Response

Successful response

data
AvatarGroupItem · object

A single avatar group in the list response.

Groups are containers for looks (outfits/styles). To determine avatar type and engine compatibility, fetch the looks via GET /v3/avatars/looks.